#!/usr/bin/python
# -*- coding: utf-8 -*-

#       xml2sqlite.py
#       
#       Copyright 2011 TuxGasy <tuxgasy@tuxfamily.org>
#       
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#       
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#       
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

from Products import Products
from Db import Db

class xml2sqlite :
	""" Convert xml database to sqlite database """
	
	def __init__(self, input_xml, output_db) :
		db = Db(output_db)
		products = Products(input_xml)
		
		i = 0
		category = products.getCategory(i)
		while category != None :
			print "C : "+category[0]
			idc = db.set_category(category[0])
			
			j = 0
			subcategory = products.getSubCategory(category[2], j)
			while subcategory != None :
				print "=== SSC : "+subcategory[0]
				idsubc = db.set_subcategory(idc, subcategory[0])
				
				k = 0
				article = products.getProducts(subcategory[2], k)
				while article != None :
					print "====== ART : "+article[0]+" => "+article[1].replace(',','.')
					id = db.set_article(idc, idsubc, article[0], float(article[1].replace(',','.')))
					
					k = k+1
					article = products.getProducts(subcategory[2], k)
				
				j = j+1
				subcategory = products.getSubCategory(category[2], j)
			
			i = i+1
			category = products.getCategory(i)
